=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE=$(CURDIR)/build
export GOPATH=$(CURDIR)/build

%:
	dh $@

execute_after_dh_install:
	rm -rf debian/havoc/usr/share/havoc/client/Modules/.git* \
	       debian/havoc/usr/share/havoc/payloads/Shellcode/Bin/.gitignore
