=== debian/tests/control ===
Test-Command: havoc -h
Restrictions: superficial
