## havoc 0.6~git20251218.c84f775

=== debian/changelog ===
havoc (0.6~git20251218.c84f775-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)

  [ Daniel Ruiz de Alegría ]
  * New upstream version 0.6~git20251218.c84f775
  * Update debian/watch to version 5

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 19 Jan 2026 12:37:44 +0100

havoc (0.6~git20241128.41a5d45-0kali1) kali-dev; urgency=medium

  * Remove unused lintian-overrides
  * New upstream version 0.6~git20241128.41a5d45

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 03 Dec 2024 09:07:36 +0100
