=== debian/watch ===
Version: 5

Source: https://github.com/HavocFramework/Havoc
Matching-Pattern: HEAD
Mode: git
Pgpmode: none
Git-Pretty: 0.6~git%cd.%h
